Bug 306735 - Move tracks to rubbish and the current track cover changes to the deleted cover
Summary: Move tracks to rubbish and the current track cover changes to the deleted cover
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Context View/Current Track (show other bugs)
Version: 2.7.0
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: 2.8
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-13 10:34 UTC by robert marshall
Modified: 2013-02-28 11:44 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description robert marshall 2012-09-13 10:34:48 UTC
- have a play list containing the tracks you are about to 'move to rubbish' and other tracks
- play the tracks to be deleted and then continue playing the other tracks
- while amaor is still playing music show the tracks to be deleted in browser ('show in media sources')
- right click on the album and select 'move tracks to rubbish bin' and click 'remove'
- the curent track being played - which isn't being deleted - the cover art in the applet changes to the cover art for the album which has just been removed 

I don't always see this, but it happens around 50% of the time
Comment 1 Mayank Madan 2012-12-19 12:10:27 UTC
Cover of current playing doesnt change even after performing mentioned steps.
Using v2.6.90-26-gbcdd84c
Comment 2 Myriam Schweingruber 2012-12-21 09:44:10 UTC
Robert, could you eventually check out the 2.7 beta release?
Comment 3 robert marshall 2012-12-21 11:36:48 UTC
Do you know of a ppa location for the 2.7 beta? I can't find one on a web search. Didn't know the beta was out - I didn't see a  mention on the devel list
Comment 4 Myriam Schweingruber 2012-12-21 15:56:11 UTC
Most likely in the kubuntu beta PPA, where the Kubuntu developers put all the beta releases: ppa:kubuntu-ppa/beta
Comment 5 robert marshall 2012-12-21 20:04:34 UTC
Thank you! and I can't replicate this in the 2.7 beta, you can close it!
Comment 6 Myriam Schweingruber 2012-12-22 10:21:41 UTC
Cool, thank you for the fast feedback.
Comment 7 Mark Fraser 2013-01-26 13:16:36 UTC
I'm still seeing this with the final release of Amarok 2.7.
Comment 8 robert marshall 2013-01-30 08:42:05 UTC
And I've just seen it again too!
Comment 9 Myriam Schweingruber 2013-01-30 08:56:52 UTC
Reopening, then
Comment 10 Ralf Engels 2013-02-20 20:34:56 UTC
Robert,
the applet that you are talking about is the "current track" applet?
Does the cover change anywhere else?
Are you deleting some tracks from one Album or does your playlist have two albums and you are deleting one of them and leave the other?
Comment 11 robert marshall 2013-02-25 09:54:26 UTC
Ralf,

Yes this is the current track applet.

Do you mean does the cover change wrongly anywhere else? No I don't think so.

I've just replicated this now - playlist generated frojm AGP with lots of different tracks from different albums, moved a track to rubbish - it was an album with just one track and the current track (not the one being removed)'s picture changed to that for the removed one just before the dialog asking whether to delete empty folders appears. So yes I'm deleting one album from the playlist and leaving others.
Comment 12 robert marshall 2013-02-25 10:22:05 UTC
To contradict my second point! - when I restored the deleted track from Trash (the one I'd deleted in the above comment) the album cover of the track currently playing (in the current track applet) changed to the one which had just been undeleted
Comment 13 Ralf Engels 2013-02-25 11:05:40 UTC
Just to get it clear:
it's just the current-track-applet? Not also the e.g. collection or playlist?

Is this just temporary? So if you skip back and forth, is the correct cover shown or still the wrong one?
Comment 14 robert marshall 2013-02-25 12:18:03 UTC
Yes just the current track applet the collection and playlist image are unaffected.

And yes it is just temporary, moving to another track and then back to the one whose image changed on deletion the image is then correctly shown. 

When I click on the incorrect image in the current track applet the window which pops up - showing the image - shows the correct image and not the image I clicked on
Comment 15 Ralf Engels 2013-02-28 11:44:37 UTC
Git commit 85adaeac87287aeaf89377723f8f9877be5513d8 by Ralf Engels.
Committed on 27/02/2013 at 19:47.
Pushed by rengels into branch 'master'.

Fix: Move tracks to rubbish and the current track cover changes to the deleted cover

I hope that fixes it.
FIXED-IN: 2.8

M  +6    -0    src/context/engines/current/CurrentEngine.cpp

http://commits.kde.org/amarok/85adaeac87287aeaf89377723f8f9877be5513d8